<?php

namespace App\Http\Controllers;
use App\Services\FirebaseService;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class NotificationController extends Controller
{
    protected $firebaseService;

    public function __construct(FirebaseService $firebaseService)
    {
        $this->firebaseService = $firebaseService;
    }

    public function sendNotification(Request $request)
    {
        $request->validate([
            'user_id' => 'required|integer',
            'title' => 'required|string',
            'body' => 'required|string',
            'data' => 'nullable|array',
        ]);

        $userId = $request->input('user_id');
        $title = $request->input('title');
        $body = $request->input('body');
        $data = $request->input('data', []);

        try {
            $token="eZR8j8gCSKCfdH9kbuj8sy:APA91bGMRrnCJqYdzgovIa8HOEyXTONKANgCpxKFoI5g4niIQLlktKBH3Go2VSzcWHaavlfiVAV03NB5JWoI78TMMOn64kC22rKix_KuFxulJNy6Vy73Zmnu5_52UGAmNZ8780Vd2WKC";
            // $token = DB::table('fcm_table')
            //     ->where('user_id', $userId)
            //     ->value('fcm_token');

            if (!$token) {
                return response()->json(['status' => false, 'message' => 'FCM token not found for the user.'], 404);
            }

            $this->firebaseService->sendNotification($token, $title, $body, $data);
            return response()->json(['status' => true, 'message' => 'Notification sent successfully.']);
        } catch (\Exception $e) {
            return response()->json(['status' => false, 'message' => $e->getMessage()], 500);
        }
    }
}
