<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\AuthController;
use App\Http\Controllers\CategoryController;
use App\Http\Controllers\ProductController;
use App\Http\Controllers\OrderController;
use App\Http\Controllers\ReportController;
use App\Http\Controllers\AreaController;
use App\Http\Controllers\NotificationController;
//use App\Http\Controllers\JsonProductController;




/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "api" middleware group. Make something great!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});
Route::get("data",[AuthController::class,'getData']);

Route::get("/getCategories",[CategoryController::class,'getCategories']);
Route::put('/updateSubCategory', [CategoryController::class, 'updateSubCategory']);
Route::get('/products', [ProductController::class, 'getProductsBySubCategory']);
Route::put('/updateProduct', [ProductController::class, 'updateProduct']);
Route::post('/uploadJsonProduct', [ProductController::class, 'uploadJsonProduct']);
Route::get('/orders', [OrderController::class, 'getOrdersByUser']);
Route::post('/ordersReport', [OrderController::class, 'getOrdersReportByDate']);
Route::post('/userOrders', [OrderController::class, 'saveOrder']);
Route::post('/sendNotification', [NotificationController::class, 'sendNotification']);
//Route::post('/uploadJsonProduct', [JsonProductController::class, 'uploadJsonProduct']);


